#!/bin/bash
echo -e " \n \n +++++++++++++++++++++++++++++++++++++++++++++++++++++++++ \n + Oracle GoldenGate Disaster Recovery Failover \n + Created 3/8/2015 vladimir.grigorian@xerox.com 5 \n + Step 1 of 5. Check if standby has failed or switched over. \n + Proceed to step 2. \n ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ \n "

. /home/oracle/stbmp.env
export ORACLE_HOME=/u01/app/oracle/product/12.1.0/dbhome_1
export ORACLE_SID=STBMP
sqlplus -s sys/oracle12cDB@stbmp as sysdba <<EOF > db_role.log
SET PAGESIZE 0 FEEDBACK OFF VERIFY OFF HEADING OFF ECHO OFF trimspool on
SELECT database_role FROM v\$database;
EXIT;
EOF
result=`cat db_role.log`
echo "result=$result"
if [ $result = "PRIMARY" ]
then
  echo "result=$result"
  /u02/gg/source/scripts/ggdr_02_SQL_Eable_GG_param.ksh
else
  echo "result is not PRIMARY"
fi

