############################################
# Name: ggs_lag.ksh #
# Author: vladimir.grigorian@acs-in.com
# PURPOSE: TO MONITOR LAG OF GOLDEN GATE #
# NOTE: THIS SCRIPT CALLS ggs.ksh #
# THIS SCRIPT NOTIFY IF LAG IS MORE THEN 30 MIN #
# ONLY FOR FOR EXT AND PMP PROCESS GROUP #
###########################################
export GGATE=/opt/app/gg2/gg
alias gate='clear;cd $GGATE;./ggsci'
export PATH=/opt/app/gg2/gg:/usr/sbin:/usr/lib/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:$PATH
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:/usr/lib:/opt/app/gg2/gg:
LOGDIR=/opt/app/gg2/gg/log
EMAILFile=/tmp/ggdr.log
BOX=$(uname -a | awk '{print $2}')

filepath="/u02/gg/target/dirprm"
searchstring="PBMP"
replacestring="STBMP"

i=0; 

for file in $(grep -l -R $searchstring $filepath)
do
  cp $file $file.bak
  sed -e "s/$searchstring/$replacestring/ig" $file > tempfile.tmp
  mv tempfile.tmp $file

  let i++;

  echo "Modified: " $file
done
